Desktop Configuration Profiles

A Desktop Configuration Profile centrally defines desktop mount point mappings for users in a Site or Workspace.

List Desktop Configuration Profiles

Endpoint

GET/desktop_configuration_profiles

Return Object

DesktopConfigurationProfile[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/desktop_configuration_profiles.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "name": "North America Desktop Profile",
    "workspace_id": 1,
    "use_for_all_users": false,
    "disable_drive_mounting": false,
    "mount_mappings": {
      "key": "example value"
    }
  }
]

Show Desktop Configuration Profile

Endpoint

GET/desktop_configuration_profiles/{id}

Return Object

DesktopConfigurationProfile

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Desktop Configuration Profile ID.

Example Request

curl https://app.files.com/api/rest/v1/desktop_configuration_profiles/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "name": "North America Desktop Profile",
  "workspace_id": 1,
  "use_for_all_users": false,
  "disable_drive_mounting": false,
  "mount_mappings": {
    "key": "example value"
  }
}

Create Desktop Configuration Profile

Endpoint

POST/desktop_configuration_profiles

Return Object

DesktopConfigurationProfile

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDefaultDescription
name
string
Required
Profile name
mount_mappings
object
Required
Mount point mappings for the desktop app. Keys must be a single uppercase Windows drive letter other than A, B, or C, and values are Files.com paths to mount there.
workspace_id
int64
0Workspace ID
use_for_all_users
boolean
falseWhether this profile applies to all users in the Workspace by default
disable_drive_mounting
boolean
falseWhether the desktop app should hide drive mounting, prevent new drive mounts, and unmount active drive mounts for users with this profile

Example Request

curl https://app.files.com/api/rest/v1/desktop_configuration_profiles.json \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{"name":"North America Desktop Profile","mount_mappings":{"key":"example value"},"workspace_id":1,"use_for_all_users":false,"disable_drive_mounting":false}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "name": "North America Desktop Profile",
  "workspace_id": 1,
  "use_for_all_users": false,
  "disable_drive_mounting": false,
  "mount_mappings": {
    "key": "example value"
  }
}

Update Desktop Configuration Profile

Endpoint

PATCH/desktop_configuration_profiles/{id}

Return Object

DesktopConfigurationProfile

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Desktop Configuration Profile ID.
name
string
Profile name
workspace_id
int64
Workspace ID
mount_mappings
object
Mount point mappings for the desktop app. Keys must be a single uppercase Windows drive letter other than A, B, or C, and values are Files.com paths to mount there.
use_for_all_users
boolean
Whether this profile applies to all users in the Workspace by default
disable_drive_mounting
boolean
Whether the desktop app should hide drive mounting, prevent new drive mounts, and unmount active drive mounts for users with this profile

Example Request

curl https://app.files.com/api/rest/v1/desktop_configuration_profiles/{id}.json \
  -X PATCH \
  -H 'Content-Type: application/json' \
  -d '{"name":"North America Desktop Profile","workspace_id":1,"mount_mappings":{"key":"example value"},"use_for_all_users":false,"disable_drive_mounting":false}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "name": "North America Desktop Profile",
  "workspace_id": 1,
  "use_for_all_users": false,
  "disable_drive_mounting": false,
  "mount_mappings": {
    "key": "example value"
  }
}

Delete Desktop Configuration Profile

Endpoint

DELETE/desktop_configuration_profiles/{id}

Return Object

No return value.

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Desktop Configuration Profile ID.

Example Request

curl https://app.files.com/api/rest/v1/desktop_configuration_profiles/{id}.json \
  -X DELETE \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

The DesktopConfigurationProfile Object

Some of the endpoints above return a DesktopConfigurationProfile object. The attributes of this object are listed below.

AttributeDescription
id
int64
Desktop Configuration Profile ID
name
string
Profile name
workspace_id
int64
Workspace ID
use_for_all_users
boolean
Whether this profile applies to all users in the Workspace by default
disable_drive_mounting
boolean
Whether the desktop app should hide drive mounting, prevent new drive mounts, and unmount active drive mounts for users with this profile
mount_mappings
object
Mount point mappings for the desktop app. Keys must be a single uppercase Windows drive letter other than A, B, or C, and values are Files.com paths to mount there.

Example DesktopConfigurationProfile Object

{
  "id": 1,
  "name": "North America Desktop Profile",
  "workspace_id": 1,
  "use_for_all_users": false,
  "disable_drive_mounting": false,
  "mount_mappings": {
    "key": "example value"
  }
}